package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;

public class PosOrderLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    @Excel(name = "主键ID", cellType = ColumnType.NUMERIC)
    private Long id;

    @Excel(name = "订单号")
    private String ddId;

    @Excel(name = "操作人类型", readConverterExp = "0=系统,1=平台管理员,2=商家,3=骑手,4=用户")
    private Integer operatorType;

    @Excel(name = "操作人ID", cellType = ColumnType.NUMERIC)
    private Long operatorId;

    @Excel(name = "操作人名称")
    private String operatorName;

    @Excel(name = "操作内容")
    private String content;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date logTime;

    public Long getId() { return id; }
    public void setId(Long id) { this.id = id; }
    public String getDdId() { return ddId; }
    public void setDdId(String ddId) { this.ddId = ddId; }
    public Integer getOperatorType() { return operatorType; }
    public void setOperatorType(Integer operatorType) { this.operatorType = operatorType; }
    public Long getOperatorId() { return operatorId; }
    public void setOperatorId(Long operatorId) { this.operatorId = operatorId; }
    public String getOperatorName() { return operatorName; }
    public void setOperatorName(String operatorName) { this.operatorName = operatorName; }
    public String getContent() { return content; }
    public void setContent(String content) { this.content = content; }
    public Date getLogTime() { return logTime; }
    public void setLogTime(Date logTime) { this.logTime = logTime; }
}